#pragma once

#define TT_MARGE						4
#define PPC_CLASS_NAME					_T("MSS_PPCToolTipsClass")
#define DEFBKCOLOR						RGB(255,255,177)
#define DEFTXTCOLOR						RGB(0,0,0)
#define IDTIMER							3014
#define TIMERF_NONE						0
#define TIMERF_CREATE					1
#define TIMERF_DEL						2
#define DEFTIME_SHOW					300
#define DEFTIME_ERASE					1500
#define DEFTIME_MAX						2000

// CPPCToolTips

class CPPCToolTips : public CWnd
{
	DECLARE_DYNAMIC(CPPCToolTips)

public:
	CPPCToolTips();
	virtual ~CPPCToolTips();

protected:
	DECLARE_MESSAGE_MAP()
public:
	BOOL Activate(CPoint point, CWnd* pParent);
	void Desactivate();
	void SetToolText(LPCTSTR szText);
	void ProcessMessage(MSG* pMsg, CWnd* pParent);
	afx_msg void OnPaint();
	COLORREF m_clrBkColor;
	COLORREF m_clrTextColor;
	int m_nTimeShow;
	int m_nTimeErase;
	int m_nTimeMax;

	CString m_szTipText;
	int m_nTimerFunc;
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	void SetBkColor(COLORREF clrColor);
	void SetTextColor(COLORREF clrColor);
	void SetDelays(int nShow, int nErase, int nMax);
};


